/*  Copyright (C) 1996  Byron Stanoszek
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 **************************************************************************/

/* sndtest.c */

/* this program tests the sound driver's socket. note #s are decimal, not hex
 *
 * usage: sndtest 32 1 4               => Fades and selects Chapter 1 Song 4.
 *        sndtest 248 249 3 51 0 3     => Pauses current song for 3 seconds,
 *                                        opens up Chapter 0 Song 3 and plays
 *                                        it until end, then goes back to old
 *                                        song.
 *
 * Refer to wav.h for codes of operation */

#include "sound.h"


void main(argc, argv)
int argc;
char *argv[];
{
  int a, b, c=0;

  for(b=0;b<16;b++) {
    printf("\e[");
      for(a=0;a<16 && c<argc-1;a++,c++)
        printf("%s%d", a?";":"", atoi(argv[c+1]));
    printf("t");
  }
  fflush(stdout);
}
